summaryrefslogtreecommitdiffstats
path: root/development
diff options
context:
space:
mode:
Diffstat (limited to 'development')
-rw-r--r--development/help2man/README4
-rw-r--r--development/help2man/help2man.SlackBuild73
-rw-r--r--development/help2man/help2man.info8
-rw-r--r--development/help2man/slack-desc19
4 files changed, 104 insertions, 0 deletions
diff --git a/development/help2man/README b/development/help2man/README
new file mode 100644
index 0000000000..0b4582958e
--- /dev/null
+++ b/development/help2man/README
@@ -0,0 +1,4 @@
+help2man is a tool for automatically generating simple manual pages
+from program output.
+
+help2man requires locale-gettext available on SlackBuilds.org.
diff --git a/development/help2man/help2man.SlackBuild b/development/help2man/help2man.SlackBuild
new file mode 100644
index 0000000000..846df7e0b9
--- /dev/null
+++ b/development/help2man/help2man.SlackBuild
@@ -0,0 +1,73 @@
+#!/bin/sh
+
+# Slackware build script for help2man
+
+# Written by Chess Griffin <chess@chessgriffin.com>
+
+PRGNAM=help2man
+VERSION=${VERSION:-1.36.4}
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man
+
+make
+make install DESTDIR=$PKG
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+)
+
+( cd $PKG/usr/man
+ find . -type f -exec gzip -9 {} \;
+ for i in $( find . -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+)
+
+rm -f $PKG/usr/info/dir
+gzip -9 $PKG/usr/info/*.info*
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a COPYING INSTALL NEWS README THANKS $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/development/help2man/help2man.info b/development/help2man/help2man.info
new file mode 100644
index 0000000000..27581c9d93
--- /dev/null
+++ b/development/help2man/help2man.info
@@ -0,0 +1,8 @@
+PRGNAM="help2man"
+VERSION="1.36.4"
+HOMEPAGE="http://www.gnu.org/software/help2man"
+DOWNLOAD="http://ftp.gnu.org/gnu/help2man/help2man-1.36.4.tar.gz"
+MD5SUM="d31a0a38c2ec71faa06723f6b8bd3076"
+MAINTAINER="Chess Griffin"
+EMAIL="chess@chessgriffin.com"
+APPROVED="David Somero"
diff --git a/development/help2man/slack-desc b/development/help2man/slack-desc
new file mode 100644
index 0000000000..421736399b
--- /dev/null
+++ b/development/help2man/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+help2man: help2man (automatic man page generator)
+help2man:
+help2man: help2man is a tool for automatically generating simple manual pages
+help2man: from program output.
+help2man:
+help2man: Homepage: http://www.gnu.org/software/help2man
+help2man:
+help2man:
+help2man:
+help2man:
+help2man: